/* =============================== */
/*  PAGE CONTACT
/* =============================== */


.form-wrapper {
    position: relative;
    max-width: min(450px, 80%);
    margin: 0 auto;
}

.contact-form-title {
    text-align: center;
    margin-bottom: 20px;
    font-size: 3rem;
    color: var(--red);
}

.form-wrapper input[type="text"],
.form-wrapper input[type="email"],
.form-wrapper input[type="tel"],
.form-wrapper input[type="date"],
.form-wrapper select,
.form-wrapper textarea {
    width: 100%;
}

.form-wrapper select {
    height: 40px;
    background-color: #fff;
    border: none;
}

.contact-form-wrapper p {
    margin-bottom: 0;
}


.form-wrapper label,
.form-wrapper p {
    font-size: 0.9rem;
    margin-bottom: 8px;
}

.form-wrapper label {
    margin-bottom: 2px;
    color: #fff;
}

.description  {
    width: 100%;

    & label {
        font-size: 1.1rem;
        line-height: 1.1rem;
        font-weight: 600;
        margin-bottom: 10px;
    }
}

input, textarea, select {
    padding: 10px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

textarea {
    box-sizing: border-box;
    resize: vertical;
    min-height: 100px;
    margin-bottom: 20px;
}

.wpcf7 input,
.wpcf7 textarea {
    transition: 0.3s ease-in-out;
}

.wpcf7 input:focus,
.wpcf7 textarea:focus {
    outline: none;
}

.wpcf7 input::placeholder,
.wpcf7 textarea::placeholder {
    color: #969696;
}

.cta-main p {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* FILE ATTACHMENTS */

.attachments {
    margin-top: 20px;
    margin-bottom: 20px;
}

.file-attach label {
    font-size: 1.3rem;
    padding-left: 5px;
    font-weight: 600;
    margin-bottom: 10px;
    line-height: 1.2rem;

    & span {
        font-size: 0.9rem;
        font-weight: 300;
    }
}

.file-attach input[type="file"] {
    width: 100%;
    padding-left: 110px;
    color: #fff;
    font-size: 1.2rem;
    cursor: pointer;
    background-image: url('../images/add-icon.svg');
    background-repeat: no-repeat;
    background-position: left center;
    background-size: 80px 80px;
  }

  .file-attach input[type="file"]:hover {
    background-size: 83px 83px;
  }
  
  /* Chrome / Safari / Edge */
  .file-attach input[type="file"]::file-selector-button {
    width: 0;
    padding: 0;
    margin: 0;
    border: 0;
    opacity: 0;
  }
  
  /* Firefox */
  .file-attach input[type="file"]::-webkit-file-upload-button {
    width: 0;
    padding: 0;
    margin: 0;
    border: 0;
    opacity: 0;
  }

/* ERROR MESSAGES */

.wpcf7-not-valid-tip {
    background-color: rgb(185, 0, 0);
    color: #fff;
    padding-inline: 10px;
}

.wpcf7-response-output {
    background-color: #ffb027;
    color: #000;
}

.wpcf7 form.sent .wpcf7-response-output {
    background-color: #0f8828;
    border-color: #0f8828 !important;
    color: #fff;
}


/* ACCEPTANCES */

.consents {
    padding-left: 30px;
    position: relative;

    & span {
        height: auto;
    }

    & label {
        position: relative;
    }
}

.consents .wpcf7-list-item {
    margin: 0;
}



.wpcf7-list-item {
    margin: 0 !important; 
}



.form-visible  .wpcf7-acceptance {
    padding-left: 0 !important;
}


.consents input[type='checkbox'] {
    position: absolute;
    left: -30px;
    top:5px;
}

.consents a {
    transition: 0.3s ease-in-out;
    &:hover {
        color: var(--light-green);
    }
}


/* SUBMIT BUTTON */

.cta-main {
    margin-top: 30px;
    text-align: center;
}

.wpcf7-submit {
    background-color: var(--red);
    color: #fff;
    border: none;
    padding: 5px 30px;
    font-size: 1.5rem;
    font-weight: 600;
    text-transform: uppercase;
    min-width: 200px;
    max-width: 300px;
    transition: 0.4s;

    &:hover {
        background-color: var(--red-hover) !important;
        cursor: pointer;
    }
}





